# IAX2IeFwBlockDesc Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeFwBlockDesc:

[legend]
Collaboration diagram for IAX2IeFwBlockDesc:
[legend]

## Public Member Functions

| IAX2IeFwBlockDesc (BYTE length, BYTE *srcData)
| IAX2IeFwBlockDesc (unsigned int newValue)
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains firmware block description

## Constructor & Destructor Documentation

IAX2IeFwBlockDesc::IAX2IeFwBlockDesc | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

IAX2IeFwBlockDesc::IAX2IeFwBlockDesc | ( | unsigned int | newValue | ) | `[inline]`

Construct with a predefined value (Typically used prior to transmission)

## Member Function Documentation

virtual BYTE IAX2IeFwBlockDesc::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeFwBlockDesc::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeUInt.

virtual void IAX2IeFwBlockDesc::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h